4

Just tried the 4.7 upgrade and found it was giving a fatal error when I tried to acces either the event dashboard ( /civicrm/event?reset=1 ) and Manage Events ( /civicrm/event/manage?reset=1 ).

Fatal error: Can't inherit abstract function Civi\ActionSchedule\MappingInterface::createQuery() (previously declared abstract in Civi\ActionSchedule\Mapping) in C:\xampp\htdocs\switch\sites\all\modules\civicrm\Civi\ActionSchedule\Mapping.php on line 64

I can access the other CiviEvent pages (e.g. add new event, add participant, etc), and none of the other components seem affected.

Using Drupal 7.41, and upgraded to 4.7 from 4.6.10. I am running PHP 5.3.5, which the upgrade warned against but only for future versions?

  • 1
    Not sure if it relates, but if so it is likely your PHP version: bugs.php.net/bug.php?id=66818 – Laryn - CEDC.org Jan 28 '16 at 16:15
  • 1
    Yeah, it does seem to be the php version that's causing problems - updating php resolved it. I may flag up that the upgrade warning message isn't clear enough. – liblogger Jan 29 '16 at 14:18
  • Great. Then I'll make my comment an "answer". :) – Laryn - CEDC.org Jan 29 '16 at 15:43
3

Not sure if it relates, but if so it is likely your PHP version:

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.